<template>
	<view v-if="list&&list.length>0"> 
		 <m-start-ad :list="list" v-on:pgoUrl="goUrl" :time="time" url="/pages/index/index" />
	</view>
   
</template>

<script>
 import utils from "../../utils/utils.js"
    export default {
        data() {
            return {
                list:[],
				time:5
            };
        },
        
        onShow: function () {
			
            var first = getApp().globalData.isLaunch;
            if(first){
                uni.reLaunch({
                    url: "/pages/index/index"
                });
            } else {
				
                getApp().globalData.isLaunch=true;
            	var that = this;
            	this.$u.api.getBanner({
            		type: '1,15'
            	}).then(e => {
            		if (e.code == 1) 
            		{//返回失败，直接跳首页
            			this.t_index();
						return;
            		}
            		var res = e.data.info;
            		if(res&&res.launchpic&&res.launchpic.length>0)
            		{
            			that.list=res.launchpic;
            		}
            		else{
            			this.t_index();
            		}
            	}).catch(function(err) {
            		console.log(err);
            		this.t_index();
            	})
            	}
        },
        methods: {
			goUrl(info) {
				if (info.url_type == 1&&info.parameter_json.url=="/pages/index/index")
				{
					uni.reLaunch({
						url: './index'
					})
				}
				else{
					utils.goUrl(info, this)
				}
			},
			t_index()
			{
				
				 setTimeout(()=>{
					uni.reLaunch({
					    url: "/pages/index/index"
					});
				}, 500);
			}
        }
    }
</script>
